Summary:        A NTFS filesystem using FUSE
Name:           ntfs-3g
Version:        2015.3.14
Release:        1%{?dist}%{?pext}
License:        GPL/LGPL
Group:          Applications/System
Source0:        http://tuxera.com/opensource/%{name}_ntfsprogs-%{version}.tgz
URL:            http://www.tuxera.com/community/%{name}-download/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Tuxera Ltd.
Provides:       fuse-mod(%{name}) = %{version}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       fuse >= 2.6
BuildRequires:  e2fsprogs-devel libhd-devel pkgconfig
Obsoletes:      fuse-ntfs < %{version}-%{release}

%description
The NTFS-3G driver is a freely and commercially available and supported
read/write NTFS driver for various operating systems. It provides safe
and fast handling of Windows 2000, XP, Server 2003 and Vista filesystems.
POSIX file system operations are supported, and full file ownership and
permission support is available as well.


%package        devel
Summary:        Development tools for NTFS-3G
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Obsoletes:      lib%{name}-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains the libraries and header files for
developing software using the NTFS-3G driver.


%package        libs
Summary:        The NTFS-3G driver libraries
Group:          System Environment/Libraries
Obsoletes:      lib%{name} < %{version}-%{release}
Obsoletes:      %{name}-lib < %{version}-%{release}

%description    libs
The %{name}-libs package contains the shared libraries for the NTFS-3G driver.


%package        progs
Summary:        Utilities for NTFS partitions
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-prog < %{version}-%{release}

%description    progs
The %{name}-progs package contains several console utilities for working
with NTFS partitions.


%package        static
Summary:        The NTFS-3G static library
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description    static
The %{name}-static package contains the statically linkable library of
the NTFS-3G driver.


%prep
%setup -q -n %{name}_ntfsprogs-%{version}


%build
%configure \
	--disable-ldconfig      \
	--enable-posix-acls     \
	--enable-xattr-mappings \
	--enable-extras         \
	--enable-shared         \
	--enable-static

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}
%{__rm} -f  ${RPM_BUILD_ROOT}%{_mandir}/man8/ntfs{decrypt,fallocate}.8*
%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog
%doc INSTALL NEWS README
/sbin/mount.lowntfs-3g
/sbin/mount.%{name}
%{_bindir}/lowntfs-3g
%{_bindir}/%{name}
%{_bindir}/%{name}.probe
%{_bindir}/%{name}.secaudit
%{_bindir}/%{name}.usermap
%{_mandir}/man8/mount.lowntfs-3g.8*
%{_mandir}/man8/mount.%{name}.8*
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}.probe.8*
%{_mandir}/man8/%{name}.secaudit.8*
%{_mandir}/man8/%{name}.usermap.8*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libntfs-3g.la
%{_libdir}/libntfs-3g.so
%{_libdir}/pkgconfig/libntfs-3g.pc

%files libs
%defattr(-,root,root)
%doc COPYING.LIB
%{_libdir}/libntfs-3g.so.*

%files progs
%defattr(-,root,root)
%doc TODO.ntfsprogs
/sbin/mkfs.ntfs
%{_bindir}/ntfscat
%{_bindir}/ntfscluster
%{_bindir}/ntfscmp
%{_bindir}/ntfsfix
%{_bindir}/ntfsinfo
%{_bindir}/ntfsls
%{_bindir}/ntfstruncate
%{_bindir}/ntfswipe
%{_sbindir}/mkntfs
%{_sbindir}/ntfsclone
%{_sbindir}/ntfscp
%{_sbindir}/ntfslabel
%{_sbindir}/ntfsresize
%{_sbindir}/ntfsundelete
%{_mandir}/man8/mkfs.ntfs.8*
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/ntfscat.8*
%{_mandir}/man8/ntfsclone.8*
%{_mandir}/man8/ntfscluster.8*
%{_mandir}/man8/ntfscmp.8*
%{_mandir}/man8/ntfscp.8*
%{_mandir}/man8/ntfsfix.8*
%{_mandir}/man8/ntfsinfo.8*
%{_mandir}/man8/ntfslabel.8*
%{_mandir}/man8/ntfsls.8*
%{_mandir}/man8/ntfsprogs.8*
%{_mandir}/man8/ntfsresize.8*
%{_mandir}/man8/ntfstruncate.8*
%{_mandir}/man8/ntfsundelete.8*
%{_mandir}/man8/ntfswipe.8*

%files static
%defattr(-,root,root)
%{_libdir}/libntfs-3g.a


%changelog
* Sat Jul 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2015.3.14-1
- New version (2015.3.14)

* Mon Mar 03 2014 Peter Pramberger <peterpramb@member.fsf.org> - 2014.2.15-1
- New version (2014.2.15)

* Fri Apr 19 2013 Peter Pramberger <peterpramb@member.fsf.org> - 2013.1.13-1
- New version (2013.1.13)

* Wed Mar 07 2012 Peter Pramberger <peterpramb@member.fsf.org> - 2012.1.15-1
- New version (2012.1.15)

* Mon Jun 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2011.4.12-1
- New version (2011.4.12)

* Fri Jan 28 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2011.1.15-1
- New version (2011.1.15)

* Fri Oct 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2010.10.2-1
- New version (2010.10.2)

* Sat Sep 25 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2010.8.8-1
- New version (2010.8.8)

* Wed Jun 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2010.5.22-1
- New version (2010.5.22)
- Use internal libfuse due to compatibility issues

* Thu Mar 18 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2010.3.6-1
- New version (2010.3.6)
- Renamed package to ntfs-3g

* Fri Jan 22 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2010.1.16-1
- New version (2010.1.16)

* Thu Nov 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.11.14-1
- New version (2009.11.14)

* Fri Apr 10 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.4.4-1
- New version (2009.4.4)

* Fri Mar 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.3.8-1
- New version (2009.3.8)

* Sun Mar 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.2.1-1
- New version (2009.2.1)

* Tue Jan 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.1.1-1
- New version (2009.1.1)

* Mon Dec 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.5130-1
- New version (1.5130)

* Thu Oct 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.5012-1
- Initial build
